Subject: Re: [PATCH 0/3] imap-send: some -Wunused-parameter cleanups

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jul 2023 10:18:18 -0700

Jeff King <[email-masked]> writes:

> Here are a few patches where I opted to clean up code rather than
> marking parameters with UNUSED. Plus a bonus cleanup in patch 3 (though
> I am also OK to drop that one;

> I don't care much about the imap-send
> code, and I'd be just as happy if we deprecated and eventually dropped
> the tool).

Thanks---I too was wondering when we can drop 'imap-send' ;-)

>   [1/3]: imap-send: use server conf argument in setup_curl()
>   [2/3]: imap-send: drop unused parameter from imap_cmd_cb callback
>   [3/3]: imap-send: drop unused fields from imap_cmd_cb
>
>  imap-send.c | 34 +++++++++++++++-------------------
>  1 file changed, 15 insertions(+), 19 deletions(-)
>
> -Peff